Imaging
Operations
Retrieve Imaging parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getImaging
POST /nexum/627/2022.01/parameter/getImaging HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Imaging": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getImaging"
}Retrieve Imaging parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getImagingSelectFields
POST /nexum/627/2022.01/parameter/getImagingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 210
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"ImagingFields": {
"TellerTransactionsMemberId": [
1
]
}
}
}200
Successful operation.
{
"Imaging": {
"TellerTransactionsMemberId": [
{
"EntryId": 1,
"TellerTransactionsMemberId": false
}
]
},
"MessageId": "getImagingSelectFields"
}Update Imaging parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/updateImagingByID
POST /nexum/627/2022.01/parameter/updateImagingByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ImagingUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateImagingByID"
}Last updated
Was this helpful?